namespace Sonex.Client.Controls.DataGridView;

// Odpowiedzialnosc pliku: pelny reset flag przeliczen i ponowne odswiezenie widoku.

public sealed partial class DataGridView
{
    public void Restart()
    {

        _NeedGenerateHeaders = true;
        _NeedCalcHeaders = true;
        _NeedCalcHorizontalScroll = true;
        _NeedCalcVerticalScroll = true;
        UpdateFooterTextSelected();
        RequestRender();

    }
}
